Read It Later shortcut broken - update code to reflect GetPocket

  • Problem
  • Updated 2 years ago
When viewing individual articles in Feedly, the Read It Later shortcut no longer works. It looks like Read It Later rebranded as GetPocket and broke all of your shortcuts.
Photo of Craig Alberino

Craig Alberino

  • 1 Post
  • 0 Likes
  • bummed

Posted 3 years ago

  • 41
Photo of christopher.curtis

christopher.curtis

  • 4 Posts
  • 3 Likes
Actually, the issue for me is that Google Chrome escapes URLS so that the Feedly form complains that it cannot handle URLS without http:// (Chrome has encoded it as http%3A%2F%2F) - should be a quick fix in Feedly's code. If you alter the http%3A%2F%2F ot http:// in the form, it works, so the readitlater/pocket urls have not changed.
Photo of Jesper PaghJP

Jesper Pagh

  • 2 Posts
  • 0 Likes
This is really a problem. Not working in any browser. Any updates on this?

The problem is that the link will be sent to Pocket/Read it Later as http%3A%2F%2Ffeedproxy.google.com%2F~r%2Fcore77%2Fblog%2F~3%2Fi42j7NtBWMQ%2Fdesign_by_astronomical_impact_crash_bench_by_liliana_ovalle_for_outdoorz_gallery_22422.asp

instead of this
http://feedproxy.google.com/~r/core77...
Photo of Jesper PaghJP

Jesper Pagh

  • 2 Posts
  • 0 Likes
But on the other hand if you use Chrome you can install the Pocket extension and right-click on the headline and chose 'Save to Pocket'. Then you don't have to use the shortcuts in Feedly
Photo of Jorma KlaussJK

Jorma Klauss

  • 1 Post
  • 0 Likes
Same Problem here...
Photo of Maryanne Mills

Maryanne Mills

  • 2 Posts
  • 0 Likes
What about on Safari? Does anyone know of a fix?
Photo of Maryanne Mills

Maryanne Mills

  • 2 Posts
  • 0 Likes
And Feedly! Please fix!
Photo of Danny

Danny

  • 1 Post
  • 0 Likes
It would be great to see this fixed!
Photo of raransonR

raranson

  • 1 Post
  • 0 Likes
Same problem here. If Read Later functionality is included it should at least work without having to rely on the native Pocket extension. A hour of coding, maybe? Please?
Photo of Jamie Hosley

Jamie Hosley

  • 1 Post
  • 0 Likes
Still seeing this issue here and would love to have it fixed. Any updates?
Photo of zickzack

zickzack

  • 5 Posts
  • 0 Likes
this could be useful: http://ifttt.com/recipes/564 - but better would be if feedly fix this. please!
Photo of Jeremy MoresmauJM

Jeremy Moresmau

  • 1 Post
  • 0 Likes
encoding error with read it later (getpocket.com now) import.

http%3A%2F%2Fwww.internetactu.net%2F2013%2F01%2F29... ->this is an invalid url.

this bug is still here !
Photo of Wombatilim

Wombatilim

  • 2 Posts
  • 0 Likes
While I can still open the article and use my bookmarklet, it would be good to see this fixed, especially now that people will be moving over from Google Reader in droves.
Photo of Stephen AlmondSA

Stephen Almond

  • 1 Post
  • 0 Likes
poor
Photo of Henry CoppolaHC

Henry Coppola

  • 3 Posts
  • 0 Likes
I'd love to see the read it later button updated to work more seamlessly with the current Pocket interface.

thanks
Photo of Alan Williamson

Alan Williamson

  • 3 Posts
  • 0 Likes
Offering my voice to this; I would love to see this working and updated to use the proper branding.
Photo of bill.waldronB

bill.waldron

  • 7 Posts
  • 1 Like
One more voice to ask for this being fixed. I can't say that using the old RIL icon and sharing to Pocket being broken helped Feedly make a good first impression on me (my impression has gotten better since!)
Photo of

  • 1 Post
  • 0 Likes
In the iOS app this works great, please also fix in the Firefox version.
Photo of cdmackay

cdmackay

  • 2 Posts
  • 0 Likes
Seems to work for me in Chrome (dev), but not in Firefox
Photo of charlpicC

charlpic

  • 2 Posts
  • 0 Likes
+1 for a "send to pocket" fix in Firefox.
Photo of cdmackay

cdmackay

  • 2 Posts
  • 0 Likes
I believe this is now fixed.

At least, it works for me, in Firefox plugin v.14
Photo of charlpicC

charlpic

  • 2 Posts
  • 0 Likes
@ cdmackay

You are right.

I was using a portable version of Firefox. For whatever reason, even the updated version of the portable Firefox (v20.0) wouldn't let me install a Feedly plugin v11 or higher. It was stuck to v10.2 (which was not that old). I had to install a fresh version of the portable software and it worked.

Thanks for buzzing me out.

While we're at it, I think this shows the main Feedly flaw. It should live as a web based-app and not as a plug-in you have to install and update on each browser you use.

That said.
I'm a (rather new) satisfied Feedly user and this problem is solved. :)
Thank You.